package grafo;

import org.jgrapht.DirectedGraph;
import org.jgrapht.graph.DefaultEdge;
import org.jgrapht.graph.SimpleDirectedGraph;
import org.jgrapht.traverse.BreadthFirstIterator;

public class ProvaGrafo {

	public static void main(String[] args) {

		DirectedGraph<Integer, DefaultEdge> grafo = new SimpleDirectedGraph<Integer, DefaultEdge>(
				DefaultEdge.class);

		for (int i = 1; i < 8; i++) {
			grafo.addVertex(i);
		}

		grafo.addEdge(1, 2);
		grafo.addEdge(2, 5);
		grafo.addEdge(5, 1);

		grafo.addEdge(5, 4);
		grafo.addEdge(4, 3);
		grafo.addEdge(4, 6);
		grafo.addEdge(6, 4);

		grafo.addEdge(7, 3);
		grafo.addEdge(3, 6);

		Integer bestRoot = 0;

		int max = 0;

		for (Integer v : grafo.vertexSet()) {
			BreadthFirstIterator<Integer, DefaultEdge> bfs = new BreadthFirstIterator<Integer, DefaultEdge>(
					grafo, v);

			System.out.println("Radice scelta: " + v);
			int contatore = 0;

			while (bfs.hasNext()) {

				Integer temp = bfs.next();

				if (contatore != 0) {
					System.out.println("BFS: " + temp);
				}

				contatore++;
			}

			if (contatore > max) {
				bestRoot = v;
				max = contatore;
			}
			System.out.println("\n");

		}

		System.out.println("La miglior radice del grafo e': " + bestRoot);

	}

}
