package it.polito.tdp.meteo;

import java.net.URL;
import java.util.HashSet;
import java.util.ResourceBundle;

import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.TextArea;
import javafx.scene.control.TextField;


public class MeteoController {
	
	Model model;

    @FXML
    private ResourceBundle resources;

    @FXML
    private URL location;

    @FXML
    private Button btnCalcola;

    @FXML
    private TextArea txtResult;

    @FXML
    private TextField txtTemperatura;
    
    @FXML
    void calcola(ActionEvent event) {
    	txtResult.clear();
    	try {
    		HashSet<Integer> temperature = model.calcola(Integer.parseInt(txtTemperatura.getText()));
    		
    		if (temperature != null && temperature.size() > 0) {
	    		for (Integer i: temperature) {
	    			txtResult.appendText(i.toString() + "\n");
	    		}
    		}
    		else
    			txtResult.setText("temperatura non trovata");
    	}
    	catch (NumberFormatException e) {
    		txtResult.setText("inserire un valore valido");
    	}
    }

    @FXML
    void initialize() {
        assert btnCalcola != null : "fx:id=\"btnCalcola\" was not injected: check your FXML file 'Meteo.fxml'.";
        assert txtResult != null : "fx:id=\"txtResult\" was not injected: check your FXML file 'Meteo.fxml'.";
        assert txtTemperatura != null : "fx:id=\"txtTemperatura\" was not injected: check your FXML file 'Meteo.fxml'.";
    }
    
    void setModel(Model model) {
    	this.model = model;
    }

}
